Module java.xml.ws
Package javax.xml.ws

## Class WebServiceException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.xml.ws.WebServiceException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ProtocolException

    public class WebServiceException
    extends RuntimeException

The `WebServiceException` class is the base exception class for all JAX-WS API runtime exceptions.

Since:
  1.6, JAX-WS 2.0
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`WebServiceException()` Constructs a new exception with `null` as its detail message.
`WebServiceException(String message)` Constructs a new exception with the specified detail message.
`WebServiceException(String message, Throwable cause)` Constructs a new exception with the specified detail message and cause.
`WebServiceException(Throwable cause)` Constructs a new WebServiceException with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Constructor Detail

#### WebServiceException

    public WebServiceException()

Constructs a new exception with `null` as its detail message. The cause is not initialized.

#### WebServiceException

    public WebServiceException(String message)

Constructs a new exception with the specified detail message. The cause is not initialized.

Parameters:
  `message` - The detail message which is later retrieved using the getMessage method

#### WebServiceException

    public WebServiceException(String message,
                               Throwable cause)

Constructs a new exception with the specified detail message and cause.

Parameters:
  `message` - The detail message which is later retrieved using the getMessage method
  `cause` - The cause which is saved for the later retrieval throw by the getCause method

#### WebServiceException

    public WebServiceException(Throwable cause)

Constructs a new WebServiceException with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).

Parameters:
  `cause` - The cause which is saved for the later retrieval throw by the getCause method. (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)